<?php
namespace Modules\Additional\Specifique\Client13;

use Skeleton\Router;
use Skeleton\Module;
use Helpers\Parametres\Parametres;
use Modules\Additional\Specifique\Client13\Modules\Panier\Controller\CSPanierController;
use Psr\Container\ContainerInterface;
use Skeleton\Renderer\RendererInterface;

class Specifique13Module extends Module
{

    const DEFINITIONS = __DIR__ . '/config.php';

    // private $router, $container
    public function __construct(ContainerInterface $container)
    {
        $router = $container->get(Router::class);
        $container->get(RendererInterface::class)->addPath('Specifique13', __DIR__.'/Modules/Panier/view');

        $parametres = new Parametres();

        $base_url = $container->get('baseUrl') . $container->get('Specifique13.prefix');

        $router->get($base_url . '/popupCSPanier', CSPanierController::class, 'Specifique13.CSPanier.popupCSPanier');
        $router->get($base_url . '/validateCs', CSPanierController::class, 'Specifique13.CSPanier.validateCs');
    }
}
